NANA(1)

NAME
nana - generates debugger commands from C and C++ source code

SYNOPSIS
nana [cpp-flags] files...

DESCRIPTION
Generates gdb(1) commands from the arguments which implement the assertion and logging operations specified by macros such as DI(3) and DL(3). The output of nana(1) can then be sourced into gdb(1) to perform these operations. Note that you must provide any C preprocessor flags you are using to nana since these can change the code that is generated by the compiler.

SEE ALSO
nana-clg(1), nana(3), I(3), DI(3), L(3), DL(3), Q(3) and nana.info. The nana.info file is the primary documentation.

AUTHOR
Phil Maker <pjm@gnu.org>